Overview | Modules | Class Hierarchy | Classes | Members

Protected Member Functions | Friends
tlp::ValArrayInterface Class Reference

Internal class to access to a stl::vector in VectorGraph. More...

`#include <vectorgraphproperty.h>`

Inheritance diagram for tlp::ValArrayInterface:
[legend]

List of all members.

## Protected Member Functions

- virtual void addElement (const unsigned int id)=0
- virtual void reserve (const size_t size)=0
- virtual ~ValArrayInterface ()

## Friends

- class VectorGraph

## Detailed Description

Internal class to access to a stl::vector in VectorGraph.

Warning:
  never use that class

## Constructor & Destructor Documentation

virtual tlp::ValArrayInterface::~ValArrayInterface | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void tlp::ValArrayInterface::addElement | ( | const unsigned int | id | ) | `[protected, pure virtual]`

Implemented in tlp::ValArray< TYPE >, tlp::ValArray< unsigned char >, tlp::ValArray< bool >, and tlp::ValArray< Observable * >.

virtual void tlp::ValArrayInterface::reserve | ( | const size_t | size | ) | `[protected, pure virtual]`

Implemented in tlp::ValArray< TYPE >, tlp::ValArray< unsigned char >, tlp::ValArray< bool >, and tlp::ValArray< Observable * >.

## Friends And Related Function Documentation

friend class VectorGraph`[friend]`

Reimplemented in tlp::ValArray< TYPE >, tlp::ValArray< unsigned char >, tlp::ValArray< bool >, and tlp::ValArray< Observable * >.

Tulip Software by LaBRI Visualization Team 2001 - 2012